Package uk.ac.starlink.vo

## Class ForeignMeta.Link

- java.lang.Object
- - uk.ac.starlink.vo.ForeignMeta.Link

- Enclosing class:
    ForeignMeta

      public static class ForeignMeta.Link
      extends java.lang.Object

  Represents a linkage from a column in the source table to a column in the target table.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Link()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFrom()` | Returns the name of the source column.
    `java.lang.String` | `getTarget()` | Returns the name of the destination column.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          protected Link()

  - ### Method Detail

    - #### getFrom

          public java.lang.String getFrom()

      Returns the name of the source column.
      Returns:
        from column name

    - #### getTarget

          public java.lang.String getTarget()

      Returns the name of the destination column.
      Returns:
        to column name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`